from core.ui import DialogUi
from siege.util import PixelRect


class ReporterUi(DialogUi):
    def __init__(self, player):
        self.player = player
        DialogUi.__init__(self, 'reporter', PixelRect(450, 40, 340, 380))
        self.load('html/reporter.html')
        self.show()
